#ifndef __CHEBY__WR2RF_VME_REGS__H__
#define __CHEBY__WR2RF_VME_REGS__H__

#include "wr2rf_ctrl_regs.h"
#include "wr2rf_init_regs.h"
#define WR2RF_VME_REGS_SIZE 32768 /* 0x8000 = 32KB */

/* Memory map for the initialization part */
#define WR2RF_VME_REGS_INIT 0x0UL
#define WR2RF_VME_REGS_INIT_SIZE 16384 /* 0x4000 = 16KB */

/* Memory map for the control part (edge compatible) */
#define WR2RF_VME_REGS_CTRL 0x4000UL
#define WR2RF_VME_REGS_CTRL_SIZE 16384 /* 0x4000 = 16KB */

struct wr2rf_vme_regs {
  /* [0x0]: SUBMAP Memory map for the initialization part */
  struct wr2rf_init_regs init;

  /* [0x4000]: SUBMAP Memory map for the control part (edge compatible) */
  struct wr2rf_ctrl_regs ctrl;

  /* padding to: 16384 words */
  uint8_t __padding_0[4046];
};

#endif /* __CHEBY__WR2RF_VME_REGS__H__ */
